import Immutable from "immutable";
import { ConditionClause, FilterBuilderLocaleText, GroupClause, Operation, TreeGroup } from "./types";
export declare const rootGroupUuid = "17c63a07-397b-4f03-a74b-2f935dcc6c8a";
export declare const rootConditionUuid = "18c1713a-2480-40c0-b60f-220a3fd4b117";
export declare const allOperators: Operation[];
export declare const numericOperators: Operation[];
export declare const initialClauses: Immutable.Map<string, GroupClause | ConditionClause>;
export declare const initialTree: Immutable.Map<string, string | TreeGroup>;
export declare const defaultLocale: Required<FilterBuilderLocaleText>;
