import { SerialisedGroup, QueryStringCollection, StateClause, StateTree } from "./types";
export declare const UseODataFilter: <TDate>() => () => BuiltQuery<SerialisedGroup>;
export declare const UseODataFilterWithState: <TDate>() => (clauses: StateClause, tree: StateTree) => BuiltQuery<SerialisedGroup>;
declare type BuiltInnerQuery = {
    filter?: string;
    compute?: string;
    select?: string[];
    queryString?: QueryStringCollection;
};
declare type BuiltQuery<T> = BuiltInnerQuery & {
    serialised: T;
};
export {};
