import React from "react";
import { Breakpoint } from "@mui/material/styles";
export declare type ResponsiveValues<P> = Partial<Record<Breakpoint, P>>;
export declare const useResponsive: () => <P>(responsiveValues: Partial<Record<Breakpoint, P>>) => P | undefined;
export declare const useMountEffect: (func: React.EffectCallback) => void;
export declare const useBreakpoints: () => Partial<Record<Breakpoint, boolean>>;
