import React from "react";
import { CollectionOperation, Operation } from "../types";
declare type FilterInputsProps = {
    clauseId: string;
    field: string;
    onFieldChange: (oldField: string, currentOp: Operation, newField: string) => void;
    op: Operation;
    onOpChange: (op: Operation) => void;
    value?: string;
    onValueChange: (v: any) => void;
    collectionOp?: CollectionOperation;
    onCollectionOpChange: (op: CollectionOperation) => void;
    collectionField?: string;
    onCollectionFieldChange: (field: string, oldField: string | undefined, currentOp: Operation, newField: string | undefined) => void;
};
declare const _default: React.MemoExoticComponent<(<TDate>({ clauseId, field, onFieldChange, op, onOpChange, value, onValueChange, collectionOp, onCollectionOpChange, collectionField, onCollectionFieldChange }: FilterInputsProps) => JSX.Element | null)>;
export default _default;
