import { SelectOption, ValueOption } from "../types";
import { SerialisedGroup, StateTree, StateClause } from "./types";
import { GroupClause, ConditionClause, FilterBuilderLocaleText } from "./types";
export declare const getDefaultCondition: (field: string) => ConditionClause;
export declare const getDefaultGroup: () => GroupClause;
export declare const getSelectOption: (option: ValueOption) => SelectOption;
export declare const getLocaleText: (key: keyof FilterBuilderLocaleText, locale: FilterBuilderLocaleText | undefined) => string;
export declare const deserialise: (obj: SerialisedGroup) => [StateTree, StateClause];
export declare const escapeODataString: (val: string) => string;
